org.klomp.snark.bencode

## Class InvalidBEncodingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.klomp.snark.bencode.InvalidBEncodingException

- All Implemented Interfaces:
    Serializable

      public class InvalidBEncodingException
      extends IOException

  Exception thrown when a bencoded stream is corrupted.
  Author:
    Mark Wielaard (mark@klomp.org)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidBEncodingException(String message)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidBEncodingException

          public InvalidBEncodingException(String message)